Bug 210131 - Changes to Brazil DST date
Changes to Brazil DST date
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tzdata (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On: 210058
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 07:24 EDT by Petr Machata
Modified: 2015-05-04 21:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0714
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2006-10-10 07:24:59 EDT
+++ This bug was initially created as a clone of Bug #210058 +++

Description of problem:
Because of the second round of Brazilian elections and the bad programming of
the voting machines, DST is being delayed again this year, to avoid the need for
reprogramming all of the machines before the second round.

Current tzdata thinks the change is on Oct 15, but it was delayed to Nov 5. 
Also, the end is scheduled by tzdata for Feb 18, but the official date is Feb 25.

It would be nice if this could be fixed in all maintained RHEL releases, and
there's only one week left :-(  Barely enough time to push the package out, get
the update installed and everything time-dependent (cron comes to mind)
restarted to pick up the changes :-(

Version-Release number of selected component (if applicable):
tzdata-2006j-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1.export TZ=America/Sao_Paulo; date -d 'Nov 4 23:59 2006'; date -d 'Nov 5 01:00
2006'; date -d 'Feb 24 23:59 2007'; date -d 'Feb 25 01:00 2007'
  
Actual results:
Sat Nov  4 23:59:00 BRST 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRT 2007
Sun Feb 25 01:00:00 BRT 2007

Expected results:
Sat Nov  4 23:59:00 BRT 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRST 2007
Sun Feb 25 01:00:00 BRT 2007

Additional info:
The presidential decree that establishes these changes is available at
http://www.mme.gov.br/download.do?attachmentId=8112&download (it's a PDF file,
even though the MIME time and the extensions don't say so)
Comment 6 Red Hat Bugzilla 2006-10-18 12:06:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0714.html

Note You need to log in before you can comment on or make changes to this bug.